Bug 1199268 - Review Request: python-libdiscid - Python bindings for libdiscid
Summary: Review Request: python-libdiscid - Python bindings for libdiscid
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-05 19:04 UTC by Ville Skyttä
Modified: 2015-04-05 14:28 UTC (History)
2 users (show)

Fixed In Version: picard-1.3.2-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-05 14:28:59 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ville Skyttä 2015-03-05 19:04:29 UTC
https://scop.fedorapeople.org/packages/python-libdiscid.spec
https://scop.fedorapeople.org/packages/python-libdiscid-0.4.1-1.fc23.src.rpm

python-libdiscid provides Python bindings for libdiscid. libdiscid's main purpose is the calculation of identifiers for audio discs to use for the MusicBrainz database.

This package is a requirement for CD lookup to work in picard 1.3.x.

Fedora Account System Username: scop

Comment 1 Christopher Meng 2015-03-05 23:05:54 UTC
Picard maintainer here. 

Will review.

Comment 2 Ville Skyttä 2015-03-11 07:26:01 UTC
(In reply to Christopher Meng from comment #1)
> Picard maintainer here. 
> Will review.

Ping?

Comment 3 Ville Skyttä 2015-03-11 09:08:57 UTC
https://scop.fedorapeople.org/packages/python-libdiscid.spec
https://scop.fedorapeople.org/packages/python-libdiscid-0.4.1-2.fc22.src.rpm

Build below source dir instead of in %{py3dir} per python guideline changes announced today.

Comment 4 Christopher Meng 2015-03-20 06:04:53 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 4 files have unknown
     license. Detailed output of licensecheck:

MIT/X11 (BSD like)
------------------
python-libdiscid-0.4.1/python2/libdiscid/__init__.py
python-libdiscid-0.4.1/python2/libdiscid/_discid.pyx
python-libdiscid-0.4.1/python2/libdiscid/compat/discid.py
python-libdiscid-0.4.1/python2/libdiscid/discid-wrapper.c
python-libdiscid-0.4.1/python2/libdiscid/discid-wrapper.h
python-libdiscid-0.4.1/python2/libdiscid/discid.py
python-libdiscid-0.4.1/python2/libdiscid/exceptions.py
python-libdiscid-0.4.1/python2/libdiscid/tests/common.py
python-libdiscid-0.4.1/python2/libdiscid/tests/test_compat_discid.py
python-libdiscid-0.4.1/python2/libdiscid/tests/test_libdiscid.py
python-libdiscid-0.4.1/python3/libdiscid/__init__.py
python-libdiscid-0.4.1/python3/libdiscid/_discid.pyx
python-libdiscid-0.4.1/python3/libdiscid/compat/discid.py
python-libdiscid-0.4.1/python3/libdiscid/discid-wrapper.c
python-libdiscid-0.4.1/python3/libdiscid/discid-wrapper.h
python-libdiscid-0.4.1/python3/libdiscid/discid.py
python-libdiscid-0.4.1/python3/libdiscid/exceptions.py
python-libdiscid-0.4.1/python3/libdiscid/tests/common.py
python-libdiscid-0.4.1/python3/libdiscid/tests/test_compat_discid.py
python-libdiscid-0.4.1/python3/libdiscid/tests/test_libdiscid.py

Unknown or generated
--------------------
python-libdiscid-0.4.1/python2/docs/conf.py
python-libdiscid-0.4.1/python2/setup.py
python-libdiscid-0.4.1/python3/docs/conf.py
python-libdiscid-0.4.1/python3/setup.py

[-]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

Python:
[!]: Binary eggs must be removed in %prep
     Note: Test run failed
[x]: Python eggs must not download any dependencies during the build process.
     Note: Test run failed
[x]: A package which is used by another package via an egg interface should
     provide egg info.
     Note: Test run failed
[x]: Package meets the Packaging Guidelines::Python
     Note: Test run failed
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-libdiscid
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python-libdiscid-0.4.1-2.fc23.x86_64.rpm
          python3-libdiscid-0.4.1-2.fc23.x86_64.rpm
          python-libdiscid-0.4.1-2.fc23.src.rpm
python-libdiscid.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/python-libdiscid/html/objects.inv
python-libdiscid.x86_64: W: file-not-utf8 /usr/share/doc/python-libdiscid/html/objects.inv
python-libdiscid.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/python-libdiscid/html/_static/jquery.js
python-libdiscid.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/libdiscid/_discid.so 0775L
python3-libdiscid.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/python3-libdiscid/html/objects.inv
python3-libdiscid.x86_64: W: file-not-utf8 /usr/share/doc/python3-libdiscid/html/objects.inv
python3-libdiscid.x86_64: E: non-standard-executable-perm /usr/lib64/python3.4/site-packages/libdiscid/_discid.cpython-34m.so 0775L
python3-libdiscid.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/python3-libdiscid/html/_static/jquery.js
3 packages and 0 specfiles checked; 2 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
python-libdiscid (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdiscid.so.0()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    python(abi)
    rtld(GNU_HASH)

python3-libdiscid (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdiscid.so.0()(64bit)
    libpthread.so.0()(64bit)
    libpython3.4m.so.1.0()(64bit)
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python-libdiscid:
    python-libdiscid
    python-libdiscid(x86-64)

python3-libdiscid:
    python3-libdiscid
    python3-libdiscid(x86-64)



Unversioned so-files
--------------------
python-libdiscid: /usr/lib64/python2.7/site-packages/libdiscid/_discid.so
python3-libdiscid: /usr/lib64/python3.4/site-packages/libdiscid/_discid.cpython-34m.so

Source checksums
----------------
https://pypi.python.org/packages/source/p/python-libdiscid/python-libdiscid-0.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : fd368165e3671c5c10ff01d8ac54dcbb5e961d3a4ea335fc9a23f37a280bec49
  CHECKSUM(SHA256) upstream package : fd368165e3671c5c10ff01d8ac54dcbb5e961d3a4ea335fc9a23f37a280bec49


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -rvn python-libdiscid-0.4.1-2.fc22.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

-----------------------------Manual Review Start-----------------------------

1. Please ignore that shared object 775 perms issue, as it can't be reproduced always, I'm sure there is something wrong with cython or whatever.

2. About those wrong-file-end-of-line-encoding errors, I have no idea, please ask sphinx maintainer, I treat it as false-positive.

3. Drop rm -rf $RPM_BUILD_ROOT in %install.

4. I think it's better to write conditional lines like this:

%if %{with python3}
%description
python-libdiscid provides Python bindings for libdiscid. libdiscid's
main purpose is the calculation of identifiers for audio discs to use
for the MusicBrainz database.

%package     -n python3-libdiscid
Summary:        Python 3 bindings for libdiscid
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-Cython >= 0.15

%description -n python3-libdiscid
python3-libdiscid provides Python 3 bindings for libdiscid. libdiscid's
main purpose is the calculation of identifiers for audio discs to use
for the MusicBrainz database.
%endif # with python3

5. Python bindings for libdiscid

or

Python 2 bindings for libdiscid

for python-libdiscid? Addressing "2" is better.

-----------------------------Manual Review End-----------------------------

PACKAGE APPROVED, please consider my suggestions as improvements of the SPEC.

Comment 5 Ville Skyttä 2015-03-22 15:43:23 UTC
New Package SCM Request
=======================
Package Name: python-libdiscid
Short Description: Python bindings for libdiscid
Upstream URL: http://pythonhosted.org/python-libdiscid/
Owners: scop
Branches: f21 f22
InitialCC:

Comment 6 Gwyn Ciesla 2015-03-23 13:20:53 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2015-03-23 13:56:14 UTC
python-libdiscid-0.4.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-libdiscid-0.4.1-2.fc21

Comment 8 Fedora Update System 2015-03-26 21:47:55 UTC
python-libdiscid-0.4.1-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 9 Fedora Update System 2015-04-05 14:28:59 UTC
picard-1.3.2-2.fc21, python-libdiscid-0.4.1-2.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.